Retrieve MetroCluster nodes and configurations
Retrieves MetroCluster nodes and their configurations to understand the current setup of your MetroCluster environment. This can help you monitor or verify node status and configurations as part of maintaining your storage infrastructure.
HTTP method and endpoint
GET /cluster/metrocluster/nodes
Introduced in
ONTAP 9.8
Related ONTAP Commands
-
metrocluster node show
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
dr_group_id |
integer |
query |
False |
Filter by dr_group_id |
cluster.uuid |
string |
query |
False |
Filter by cluster.uuid |
cluster.name |
string |
query |
False |
Filter by cluster.name |
node.name |
string |
query |
False |
Filter by node.name |
node.system_id |
string |
query |
False |
Filter by node.system_id
|
node.uuid |
string |
query |
False |
Filter by node.uuid |
dr_auxiliary_cluster.uuid |
string |
query |
False |
Filter by dr_auxiliary_cluster.uuid
|
dr_auxiliary_cluster.name |
string |
query |
False |
Filter by dr_auxiliary_cluster.name
|
dr_partner.name |
string |
query |
False |
Filter by dr_partner.name
|
dr_partner.system_id |
string |
query |
False |
Filter by dr_partner.system_id
|
dr_partner.uuid |
string |
query |
False |
Filter by dr_partner.uuid
|
dr_partner_cluster.uuid |
string |
query |
False |
Filter by dr_partner_cluster.uuid
|
dr_partner_cluster.name |
string |
query |
False |
Filter by dr_partner_cluster.name
|
ha_partner.name |
string |
query |
False |
Filter by ha_partner.name
|
ha_partner.system_id |
string |
query |
False |
Filter by ha_partner.system_id
|
ha_partner.uuid |
string |
query |
False |
Filter by ha_partner.uuid
|
limit_enforcement |
string |
query |
False |
Filter by limit_enforcement
|
ha_partner_cluster.uuid |
string |
query |
False |
Filter by ha_partner_cluster.uuid
|
ha_partner_cluster.name |
string |
query |
False |
Filter by ha_partner_cluster.name
|
dr_auxiliary_partner.name |
string |
query |
False |
Filter by dr_auxiliary_partner.name
|
dr_auxiliary_partner.system_id |
string |
query |
False |
Filter by dr_auxiliary_partner.system_id
|
dr_auxiliary_partner.uuid |
string |
query |
False |
Filter by dr_auxiliary_partner.uuid
|
dr_mirroring_state |
string |
query |
False |
Filter by dr_mirroring_state |
automatic_uso |
boolean |
query |
False |
Filter by automatic_uso
|
is_mccip |
boolean |
query |
False |
Filter by is_mccip
|
dr_operation_state |
string |
query |
False |
Filter by dr_operation_state
|
configuration_state |
string |
query |
False |
Filter by configuration_state |
fields |
array[string] |
query |
False |
Specify the fields to return. |
max_records |
integer |
query |
False |
Limit the number of records returned. |
return_records |
boolean |
query |
False |
The default is true for GET calls. When set to false, only the number of records is returned.
|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When iterating over a collection, the default is 15 seconds. ONTAP returns earlier if either max records or the end of the collection is reached.
|
order_by |
array[string] |
query |
False |
Order results by specified fields and optional [asc |
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
_links |
||
num_records |
integer |
Number of Records |
records |
array[metrocluster_node] |
Example response
{
"_links": {
"next": {
"href": "/api/resourcelink"
},
"self": {
"href": "/api/resourcelink"
}
},
"num_records": 1,
"records": [
{
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"cluster": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "cluster1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"configuration_state": "string",
"dr_auxiliary_cluster": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "cluster1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"dr_auxiliary_partner": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"system_id": "string",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"dr_group_id": 0,
"dr_mirroring_state": "string",
"dr_operation_state": "string",
"dr_partner": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"system_id": "string",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"dr_partner_cluster": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "cluster1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"ha_partner": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"system_id": "string",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"ha_partner_cluster": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "cluster1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"limit_enforcement": "string",
"node": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"system_id": "string",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
}
]
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
2425734 |
An internal error occurred. Wait a few minutes, and try the operation again. For further assistance, contact technical support. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
collection_links
| Name | Type | Description |
|---|---|---|
next |
||
self |
self_link
| Name | Type | Description |
|---|---|---|
self |
_links
| Name | Type | Description |
|---|---|---|
self |
cluster
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
dr_auxiliary_cluster
DR AUX cluster.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
dr_auxiliary_partner
AUX partner node.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
system_id |
string |
|
uuid |
string |
dr_partner
DR partner node.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
system_id |
string |
|
uuid |
string |
dr_partner_cluster
DR partner cluster.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
ha_partner
HA partner node.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
system_id |
string |
|
uuid |
string |
ha_partner_cluster
HA partner cluster.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
node
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
system_id |
string |
|
uuid |
string |
metrocluster_node
Data for a node in a MetroCluster. REST: /api/cluster/metrocluster/nodes
| Name | Type | Description |
|---|---|---|
_links |
||
automatic_uso |
boolean |
Specifies if automatic unplanned switchover is enabled. |
cluster |
||
configuration_state |
string |
Configuration state of the node. |
dr_auxiliary_cluster |
DR AUX cluster. |
|
dr_auxiliary_partner |
AUX partner node. |
|
dr_group_id |
integer |
DR Group ID. |
dr_mirroring_state |
string |
State of the DR mirroring configuration. |
dr_operation_state |
string |
State of the DR operation. |
dr_partner |
DR partner node. |
|
dr_partner_cluster |
DR partner cluster. |
|
ha_partner |
HA partner node. |
|
ha_partner_cluster |
HA partner cluster. |
|
is_mccip |
boolean |
Indicates whether the configuration type is MCC-IP. |
limit_enforcement |
string |
Indicates if the node object limits are enforced. |
node |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |